Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.search
Class BookSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.BookSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

    public class BookSearchCriteria

extends WebAppSearchCriteria

A `SearchCriteria` object for searching for pages.

See Also
  Serialized Form

Constructor Summary
`BookSearchCriteria(String webAppName)`
`BookSearchCriteria(String webAppName, boolean publicOnly)`

Method Summary
`boolean` | `getPublicOnlyCriteria()` Returns true if only public books are to be returned.
`void` | `setPublicOnly(boolean publicOnly)` Specifies whether only public books should be returned.

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookSearchCriteria

    public BookSearchCriteria(String webAppName)

Parameters
  `webAppName` - the WebApp to search in.

### BookSearchCriteria

    public BookSearchCriteria(String webAppName,
                              boolean publicOnly)

Parameters
  `webAppName` - the WebApp to search in.
  `publicOnly` - true if only public books are to be returned.

Method Detail

### setPublicOnly

    public void setPublicOnly(boolean publicOnly)

  Specifies whether only public books should be returned. By default, this is `false`.

  Parameters
    `publicOnly` - true if only public books are to be returned.

### getPublicOnlyCriteria

    public boolean getPublicOnlyCriteria()

  Returns true if only public books are to be returned.

  Returns
    true if only public books are to be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.